%define name 	gqueue
%define version 0.99.1
%define release  %mkrel 4

Name: 		%{name}
Summary: 	GNOME2 frontend for CUPS
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://web.tiscali.it/no-redirect-tiscali/diegobazzanella/
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	cups-devel pkgconfig libgnomeui2-devel gettext ImageMagick

%description
gQueue is a Gnome2 frontend for lpq and lprm working with Cups queues.

%prep
%setup -q -n %name

%build
rm -f COPYING depcomp INSTALL install-sh missing mkinstalldirs
./autogen.sh
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=%{name}
Name=GQueue
Comment=Control print jobs
Categories=HardwareSettings;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/gqueueicon.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/gqueueicon.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/gqueueicon.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS
%{_bindir}/%name
%{_datadir}/pixmaps/%name
%{_datadir}/applications/mandriva-%name.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.99.1-4mdv2009.0
+ Revision: 246598
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.99.1-2mdv2008.1
+ Revision: 131679
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import gqueue


* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.99.1-2mdk
- birthday
- fix summary and menu

* Wed Dec 31 2003 Austin Acton <austin@linux.ca> 0.99.1-1mdk
- 0.99.1
- fix buildrequires

* Thu Dec 11 2003 Austin Acton <austin@linux.ca> 0.9-1mdk
- 0.9
- convert icons on-the-fly

* Tue May 27 2003 Austin Acton <aacton@yorku.ca> 0.8-2mdk
- distlit (DIRM)

* Fri Mar 21 2003 Austin Acton <aacton@yorku.ca> 0.8-1mdk
- 0.8

* Tue Feb 11 2003 Austin Acton <aacton@yorku.ca> 0.6-1mdk
- 0.6

* Tue Jan 21 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
